#pragma once
#include <gtkmm/box.h>
#include <gtkmm/label.h>

#include "widget/misc/w_audio_buffer_bar.h"
#include "widget/misc/slider.h"

class mixer_track;

class w_mixer_track : public Gtk::Box {
public:
    w_mixer_track();
    void set_mixer_track(mixer_track* track);
private:
    void on_volume_scale_value_changed(float value);
    mixer_track* track_;
    w_audio_buffer_bar audio_buffer_bar_;
    Gtk::Label label_;
    w_slider<float> volume_scale_;
};
